package eu.jonahbauer.raytracing.render.renderer.pdf;

import eu.jonahbauer.raytracing.math.Vec3;
import org.jetbrains.annotations.NotNull;

import java.util.random.RandomGenerator;

public record SphereProbabilityDensityFunction() implements ProbabilityDensityFunction {

    @Override
    public double value(@NotNull Vec3 direction) {
        return 1 / (4 * Math.PI);
    }

    @Override
    public @NotNull Vec3 generate(@NotNull RandomGenerator random) {
        return Vec3.random(random);
    }
}
